Loading...
Searching...
No Matches
rig_spectrum_line Struct Reference
Rig (transceiver) API

Represents a single line of rig spectrum scope FFT data. More...

`#include <rig.h>`

## Data Fields

int | id
int | data_level_min
int | data_level_max
double | signal_strength_min
double | signal_strength_max
enum rig_spectrum_mode_e | spectrum_mode
freq_t | center_freq
freq_t | span_freq
freq_t | low_edge_freq
freq_t | high_edge_freq
size_t | spectrum_data_length
unsigned char * | spectrum_data

## Detailed Description

Represents a single line of rig spectrum scope FFT data.

The data levels specify the range of the spectrum scope FFT data. The minimum level should represent the lowest numeric value and the lowest signal level in dB. The maximum level should represent the highest numeric value and the highest signal level in dB. The data level values are assumed to represent the dB strength scale in a linear way.

Note that the data level and signal strength ranges may change depending on the settings of the rig. At least on Kenwood the sub-scope provides different kind of data compared to the main scope.

## Field Documentation

## center_freq

freq_t rig_spectrum_line::center_freq

Center frequency of the spectrum scope in Hz in RIG_SPECTRUM_CENTER mode.

## data_level_max

int rig_spectrum_line::data_level_max

The numeric value that represents the maximum signal level.

## data_level_min

int rig_spectrum_line::data_level_min

The numeric value that represents the minimum signal level.

## high_edge_freq

freq_t rig_spectrum_line::high_edge_freq

High edge frequency of the spectrum scope in Hz in RIG_SPECTRUM_FIXED mode.

## id

int rig_spectrum_line::id

Numeric ID of the spectrum scope data stream identifying the VFO/receiver. First ID is zero. Rigs with multiple scopes usually have identifiers, such as 0 = Main, 1 = Sub.

## low_edge_freq

freq_t rig_spectrum_line::low_edge_freq

Low edge frequency of the spectrum scope in Hz in RIG_SPECTRUM_FIXED mode.

## signal_strength_max

double rig_spectrum_line::signal_strength_max

The strength of the maximum signal level in dB.

## signal_strength_min

double rig_spectrum_line::signal_strength_min

The strength of the minimum signal level in dB.

## span_freq

freq_t rig_spectrum_line::span_freq

Span of the spectrum scope in Hz in RIG_SPECTRUM_CENTER mode.

## spectrum_data

unsigned char* rig_spectrum_line::spectrum_data

8-bit spectrum data covering bandwidth of either the span_freq in center mode or from low edge to high edge in fixed mode. A higher value represents higher signal strength.

## spectrum_data_length

size_t rig_spectrum_line::spectrum_data_length

Number of bytes of 8-bit spectrum data in the data buffer. The amount of data may vary if the rig has multiple spectrum scopes, depending on the scope.

## spectrum_mode

enum rig_spectrum_mode_e rig_spectrum_line::spectrum_mode

Spectrum mode.

The documentation for this struct was generated from the following file:

- rig.h